Invarn Docs

Put Antinuke

PUT/api/v1/servers/{guild}/antinuke

Authorization

session
invarn_session<token>

In: cookie

Path Parameters

guild*string

A Discord ID (or one of Invarn's, which look the same).

Match^[0-9]+$

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X PUT "https://example.com/api/v1/servers/string/antinuke" \  -H "Content-Type: application/json" \  -d '{    "strict": true,    "trusted": [      "string"    ]  }'
{  "settings": {    "guild": "string",    "strict": true,    "trusted": [      "string"    ],    "alertUntil": "2019-08-24T14:15:22Z",    "armedBy": "string",    "armedAt": "2019-08-24T14:15:22Z"  },  "reach": {    "missing": [      "string"    ],    "outOfReach": [      "string"    ]  },  "incidents": [    {      "id": "string",      "guild": "string",      "kind": "message_edit",      "actor": "string",      "actorName": "string",      "viaInvarn": true,      "target": "string",      "targetName": "string",      "channel": "string",      "data": {},      "undoneBy": "string",      "undoneAt": "2019-08-24T14:15:22Z",      "undoneAs": "string"    }  ]}